Bug 19119 - vmmouse doesn't build against xserver 1.6
Summary: vmmouse doesn't build against xserver 1.6
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/VMWare (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Nolan Leake
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xserver-1.6
  Show dependency treegraph
 
Reported: 2008-12-16 15:53 UTC by Timo Aaltonen
Modified: 2008-12-22 16:53 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Add xf86OSMouse.h to driver (11.18 KB, patch)
2008-12-18 12:13 UTC, Bryce Harrington
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Timo Aaltonen 2008-12-16 15:53:25 UTC
Trying to build vmmouse 12.6.2 against xserver 1.6beta3 fails:

make[3]: Entering directory `/home/tjaalton/src/driver/input/xserver-xorg-input-vmmouse-12.6.2/obj-i486-linux-gnu/src'
/bin/bash ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../../src -I.. -I../../shared    -Wall -g -O2 -I/usr/include/xorg -I/usr/include/pixman-1    -I../../src -MT vmmouse.lo -MD -MP -MF .deps/vmmouse.Tpo -c -o vmmouse.lo ../../src/vmmouse.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../src -I.. -I../../shared -Wall -g -O2 -I/usr/include/xorg -I/usr/include/pixman-1 -I../../src -MT vmmouse.lo -MD -MP -MF .deps/vmmouse.Tpo -c ../../src/vmmouse.c  -fPIC -DPIC -o .libs/vmmouse.o
../../src/vmmouse.c:68:25: error: xf86OSmouse.h: No such file or directory
../../src/vmmouse.c: In function 'VMMousePreInit':
../../src/vmmouse.c:296: error: 'MouseDevPtr' undeclared (first use in this function)
../../src/vmmouse.c:296: error: (Each undeclared identifier is reported only once
../../src/vmmouse.c:296: error: for each function it appears in.)
../../src/vmmouse.c:296: error: expected ';' before 'pMse'
../../src/vmmouse.c:298: error: 'OSMouseInfoPtr' undeclared (first use in this function)
../../src/vmmouse.c:298: error: expected ';' before 'osInfo'
../../src/vmmouse.c:303: error: 'osInfo' undeclared (first use in this function)
../../src/vmmouse.c:303: warning: implicit declaration of function 'xf86OSMouseInit'
../../src/vmmouse.c:374: error: 'pMse' undeclared (first use in this function)
../../src/vmmouse.c:374: error: 'MouseDevRec' undeclared (first use in this function)
../../src/vmmouse.c: In function 'MouseCtrl':
../../src/vmmouse.c:445: error: 'MouseDevPtr' undeclared (first use in this function)
../../src/vmmouse.c:445: error: expected ';' before 'pMse'
../../src/vmmouse.c:448: error: 'pMse' undeclared (first use in this function)
../../src/vmmouse.c: In function 'VMMouseDoPostEvent':
../../src/vmmouse.c:478: error: 'MouseDevPtr' undeclared (first use in this function)
../../src/vmmouse.c:478: error: expected ';' before 'pMse'
../../src/vmmouse.c:483: error: 'pMse' undeclared (first use in this function)
../../src/vmmouse.c: In function 'VMMousePostEvent':
../../src/vmmouse.c:539: error: 'MouseDevPtr' undeclared (first use in this function)
../../src/vmmouse.c:539: error: expected ';' before 'pMse'
../../src/vmmouse.c:543: error: 'pMse' undeclared (first use in this function)
../../src/vmmouse.c:548: error: 'MSE_NOZMAP' undeclared (first use in this function)
../../src/vmmouse.c:550: error: 'MSE_MAPTOX' undeclared (first use in this function)
../../src/vmmouse.c:559: error: 'MSE_MAPTOY' undeclared (first use in this function)
../../src/vmmouse.c: At top level:
../../src/vmmouse.c:621: error: expected ')' before 'pMse'
../../src/vmmouse.c: In function 'MouseCommonOptions':
../../src/vmmouse.c:648: error: 'MouseDevPtr' undeclared (first use in this function)
../../src/vmmouse.c:648: error: expected ';' before 'pMse'
../../src/vmmouse.c:653: error: 'pMse' undeclared (first use in this function)
../../src/vmmouse.c:658: error: 'MSE_DFLTBUTTONS' undeclared (first use in this function)
../../src/vmmouse.c:676: error: 'MSE_MAPTOX' undeclared (first use in this function)
../../src/vmmouse.c:680: error: 'MSE_MAPTOY' undeclared (first use in this function)
../../src/vmmouse.c:684: error: 'MSE_MAXBUTTONS' undeclared (first use in this function)
../../src/vmmouse.c:697: error: 'MSE_NOZMAP' undeclared (first use in this function)
../../src/vmmouse.c: In function 'VMMouseDeviceControl':
../../src/vmmouse.c:766: error: 'MouseDevPtr' undeclared (first use in this function)
../../src/vmmouse.c:766: error: expected ';' before 'pMse'
../../src/vmmouse.c:768: error: 'MSE_MAXBUTTONS' undeclared (first use in this function)
../../src/vmmouse.c:772: error: 'pMse' undeclared (first use in this function)
../../src/vmmouse.c:858: warning: implicit declaration of function 'FlushButtons'
../../src/vmmouse.c:768: warning: unused variable 'map'
../../src/vmmouse.c: In function 'VMMouseReadInput':
../../src/vmmouse.c:911: error: 'MouseDevPtr' undeclared (first use in this function)
../../src/vmmouse.c:911: error: expected ';' before 'pMse'
../../src/vmmouse.c:916: error: 'pMse' undeclared (first use in this function)
../../src/vmmouse.c: In function 'GetVMMouseMotionEvent':
../../src/vmmouse.c:975: error: 'MouseDevPtr' undeclared (first use in this function)
../../src/vmmouse.c:975: error: expected ';' before 'pMse'
../../src/vmmouse.c:981: error: 'pMse' undeclared (first use in this function)
../../src/vmmouse.c: In function 'VMMouseConvertProc':
../../src/vmmouse.c:1099: error: 'MouseDevPtr' undeclared (first use in this function)
../../src/vmmouse.c:1099: error: expected ';' before 'pMse'
../../src/vmmouse.c:1103: error: 'pMse' undeclared (first use in this function)
../../src/vmmouse.c: At top level:
../../src/vmmouse.c:1128: warning: 'ModuleInfoRec' is deprecated
make[3]: *** [vmmouse.lo] Error 1
make[3]: Leaving directory `/home/tjaalton/src/driver/input/xserver-xorg-input-vmmouse-12.6.2/obj-i486-linux-gnu/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/tjaalton/src/driver/input/xserver-xorg-input-vmmouse-12.6.2/obj-i486-linux-gnu'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/tjaalton/src/driver/input/xserver-xorg-input-vmmouse-12.6.2/obj-i486-linux-gnu'
make: *** [build-stamp] Error 2
Comment 1 Bryce Harrington 2008-12-18 12:13:49 UTC
Created attachment 21280 [details] [review]
Add xf86OSMouse.h to driver

Hacky workaround, to just add the header into the mix.  Also tweaked the InitPointerDeviceStruct() call for xserver 1.6 API.  This gets it to build, although there's still a number of deprecation messages.  So this driver probably needs a good bit more work to get it up to date for xserver 1.6.
Comment 2 Peter Hutterer 2008-12-22 16:53:16 UTC
Fixed with version 12.6.3


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.